curl --request PUT \
--url https://api.fabric.inc/v3/segments/{segmentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"name": "Customer Type",
"values": [
"High spender",
"Medium spender",
"Browser"
]
}
'import requests
url = "https://api.fabric.inc/v3/segments/{segmentId}"
payload = {
"name": "Customer Type",
"values": ["High spender", "Medium spender", "Browser"]
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Customer Type', values: ['High spender', 'Medium spender', 'Browser']})
};
fetch('https://api.fabric.inc/v3/segments/{segmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/segments/{segmentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Customer Type',
'values' => [
'High spender',
'Medium spender',
'Browser'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/segments/{segmentId}"
payload := strings.NewReader("{\n \"name\": \"Customer Type\",\n \"values\": [\n \"High spender\",\n \"Medium spender\",\n \"Browser\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fabric.inc/v3/segments/{segmentId}")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Customer Type\",\n \"values\": [\n \"High spender\",\n \"Medium spender\",\n \"Browser\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/segments/{segmentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Customer Type\",\n \"values\": [\n \"High spender\",\n \"Medium spender\",\n \"Browser\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": 1000002,
"name": "Spender",
"values": [
"High spender",
"Medium spender",
"Browser"
],
"createdAt": "2019-08-20T14:15:22.000Z",
"updatedAt": "2019-08-20T14:15:22.000Z",
"isDeleted": false
}{
"type": "SEGMENT_NAME_EXISTS",
"message": "Segment name already exists"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "SEGMENT_NOT_FOUND",
"message": "No segment with this ID is found"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Update a specific segment
Update a specific segment by ID.
curl --request PUT \
--url https://api.fabric.inc/v3/segments/{segmentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"name": "Customer Type",
"values": [
"High spender",
"Medium spender",
"Browser"
]
}
'import requests
url = "https://api.fabric.inc/v3/segments/{segmentId}"
payload = {
"name": "Customer Type",
"values": ["High spender", "Medium spender", "Browser"]
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Customer Type', values: ['High spender', 'Medium spender', 'Browser']})
};
fetch('https://api.fabric.inc/v3/segments/{segmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/segments/{segmentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Customer Type',
'values' => [
'High spender',
'Medium spender',
'Browser'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/segments/{segmentId}"
payload := strings.NewReader("{\n \"name\": \"Customer Type\",\n \"values\": [\n \"High spender\",\n \"Medium spender\",\n \"Browser\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fabric.inc/v3/segments/{segmentId}")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Customer Type\",\n \"values\": [\n \"High spender\",\n \"Medium spender\",\n \"Browser\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/segments/{segmentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Customer Type\",\n \"values\": [\n \"High spender\",\n \"Medium spender\",\n \"Browser\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": 1000002,
"name": "Spender",
"values": [
"High spender",
"Medium spender",
"Browser"
],
"createdAt": "2019-08-20T14:15:22.000Z",
"updatedAt": "2019-08-20T14:15:22.000Z",
"isDeleted": false
}{
"type": "SEGMENT_NAME_EXISTS",
"message": "Segment name already exists"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "SEGMENT_NOT_FOUND",
"message": "No segment with this ID is found"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
24x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
"12"
A unique request ID.
"263e731c-45c8-11ed-b878-0242ac120002"
Path Parameters
Segment ID to update the segment
10002
Body
Response
OK
The segment details.
The segment ID.
1000002
The name of the segment type.
"Spender"
The options within a segment type.
1 - 50 elements["High spender", "Medium spender", "Browser"]
Record's creation time
"2019-08-20T14:15:22.000Z"
Record's last updated time
"2019-08-20T14:15:22.000Z"
true: Record is deleted
false: Record isn't deleted
false
Was this page helpful?
